---
sidebar_position: 3
description: Get object and other functions to work with Yandex Disk in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, Yandex Disk]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Get object
 Gets information about a disk object at the specified path



`Function GetObject(Val Token, Val Path) Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | Token | --token | String | &#x2714; | Token |
  | Path | --path | String | &#x2714; | Path to folder or file |

  
  Returns:  Map Of KeyAndValue - serialized JSON response from Yandex



```bsl title="1C:Enterprise/OneScript code example"
    Token = "y0__xCOranuBRj1uTsgs8z_iRV...";
    Path  = "/91545929-5a34-49ca-82a2-878db543ac0a.png";

    Result = OPI_YandexDisk.GetObject(Token, Path);
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            oint yadisk GetObject \
             --token "***" \
             --path "/84e25434-96fa-4b61-b2dd-4647d4f7f611.png"
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            oint yadisk GetObject ^
             --token "***" ^
             --path "/84e25434-96fa-4b61-b2dd-4647d4f7f611.png"
        ```
    </TabItem>
</Tabs>


```json title="Result"
{
 "path": "disk:/84e25434-96fa-4b61-b2dd-4647d4f7f611.png",
 "type": "file",
 "name": "84e25434-96fa-4b61-b2dd-4647d4f7f611.png",
 "created": "2025-12-10T19:26:47+00:00",
 "modified": "2025-12-10T19:26:47+00:00",
 "size": 2114023,
 "mime_type": "multipart",
 "md5": "9e0176f87f6565a22f78e0f9b39a4d78",
 "sha256": "89f8eb42a35208a17c85036e17237b0aa0657e1841efa6171dc5acbc0dea9e18",
 "media_type": "image",
 "resource_id": "1573541518:2602aa1336e924e2724bb8e6b76564c0a1669eb65380f62487ce80ac936af9ae",
 "revision": 1765394808397279,
 "comment_ids": {
  "public_resource": "1573541518:2602aa1336e924e2724bb8e6b76564c0a1669eb65380f62487ce80ac936af9ae",
  "private_resource": "1573541518:2602aa1336e924e2724bb8e6b76564c0a1669eb65380f62487ce80ac936af9ae"
 },
 "exif": {},
 "antivirus_status": "clean",
 "file": "https://downloader.disk.yandex.ru/disk/25bd135cf10ef77ac1d7399260fd8846b24cf165888db19bebd3a0f018785423/693a01bb/Kdpe3dFisZLPovVA4r-aBmpkby3AOQiLsayEHYapOMw2ylFGSbZZrsWtGPTvHxG_-QDrqSGFBOOsS3b3gKT1zA%3D%3D?uid=1573541518&filename=84e25434-96fa-4b61-b2dd-4647d4f7f611.png&disposition=attachment&hash=&limit=0&content_type=multipart&owner_uid=1573541518&fsize=2114023&hid=03d7263840468e281bd0b238a26e7d0d&media_type=image&tknv=v3&etag=9e0176f87f6565a22f78e0f9b39a4d78"
}
```
